# IntegerValue

Property in [MarkupValue](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupvalue)

## Summary

Gets the integer value of this property.

```csharp
public int IntegerValue { get; internal set; }
```

## Remarks

This property is only defined when the property's [Type](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.type) is [Integer](https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupvaluetype/yarn.markup.markupvaluetype.integer) .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.integervalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
